%define upstream_name Crypt-OpenSSL-EC
%define upstream_version 1.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for OpenSSL EC (Elliptic Curves) library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::OpenSSL::Bignum) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
Perl extension for OpenSSL EC (Elliptic Curves) library.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.320.0-9.mga10
+ Revision: 2226554
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.320.0-8.mga10
+ Revision: 2088982
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.320.0-7.mga10
+ Revision: 2011557
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.320.0-6.mga9
+ Revision: 1861657
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.320.0-5.mga9
+ Revision: 1796508
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.320.0-4.mga9
+ Revision: 1747470
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 1.320.0-3.mga9
+ Revision: 1726481
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.320.0-2.mga8
+ Revision: 1594376
- Rebuild for perl 5.32

* Wed Mar 18 2020 tv <tv> 1.320.0-1.mga8
+ Revision: 1557716
- update to 1.32

* Sun Feb 16 2020 umeabot <umeabot> 1.310.0-8.mga8
+ Revision: 1530209
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.310.0-7.mga8
+ Revision: 1433463
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.310.0-6.mga7
+ Revision: 1292553
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.310.0-5.mga7
+ Revision: 1248608
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.310.0-4.mga7
+ Revision: 1163657
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.310.0-3.mga7
+ Revision: 1149593
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.310.0-2.mga7
+ Revision: 1126985
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 sander85 <sander85> 1.310.0-1.mga7
+ Revision: 1126137
- update to 1.31

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-3.mga6
+ Revision: 1024523
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-2.mga6
+ Revision: 956974
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 848455
- imported package perl-Crypt-OpenSSL-EC

